#include <bits/stdc++.h>
using namespace std;

int main() {
	int n,x,y,c=1;
    string a;
    cin>>a; 
	cin>>n;
    while(n>0){
        cin>>x>>y;
        for(int i=x; i<y; i++){
            if(a[i]<a[i-1])c++;
        }
        cout<<c<<endl;
        c=1;
        n--;
    }
}
